CWIS Developer Documentation

- Home
- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
PopupWindow Class Reference

lightboxed pop-up window with repeat prevention More...

## Public Member Functions
| PopupWindow ($PopupId, $DB, $UserId=NULL)
| object constructor
| Initialize ($CountThreshold, $TimeThreshold)
| initialize popup window tracking (must be called before any HTML output)
| Width ($NewWidth)
| set width of window (must be called before any code output method)
| Height ($NewHeight)
| set height of window (must be called before any code output method)
| Id ()
| get integer ID of window
| WillDisplay ()
| report whether pop-up window will display if code printing methods are called
| AlwaysDisplay ($Display)
| sets flag that forces window to display
| PrintHeaderCode ()
| print header code (if appropriate)
| PrintBeginContentCode ()
| print begin code for window content section in page body (if appropriate)
| PrintEndContentCode ()
| print end code for window content section in page body (if appropriate)

## Detailed Description

lightboxed pop-up window with repeat prevention

Definition at line 11 of file PopupWindow.php.

## Member Function Documentation

PopupWindow::AlwaysDisplay | ( |  | $Display | ) |

sets flag that forces window to display

Parameters

  Display | TRUE to force window to display.

Definition at line 74 of file PopupWindow.php.

PopupWindow::Height | ( |  | $NewHeight | ) |

set height of window (must be called before any code output method)

Definition at line 56 of file PopupWindow.php.

Referenced by PopupWindow().

Here is the caller graph for this function:

PopupWindow::Id | ( |  | ) |

get integer ID of window

Returns
  ID value.

Definition at line 62 of file PopupWindow.php.

Referenced by PopupWindow().

Here is the caller graph for this function:

PopupWindow::Initialize | ( |  | $CountThreshold,
|  |  | $TimeThreshold
| ) |  |

initialize popup window tracking (must be called before any HTML output)

Parameters

  CountThreshold | Number of times user must been seen before window displays.
  TimeThreshold | Minimum number of seconds from when user was first seen before window displays.

Definition at line 42 of file PopupWindow.php.

PopupWindow::PopupWindow | ( |  | $PopupId,
|  |  | $DB,
|  |  | $UserId = `NULL`
| ) |  |

object constructor

Parameters

  PopupId | Integer ID of popup window.
  DB | Database object to use for storage and retrieval of window information.
  UserId | User ID for repeat prevention. Defaults to NULL, which indicates no user ID is available.

Definition at line 21 of file PopupWindow.php.

References Height(), Id(), and Width().

PopupWindow::PrintBeginContentCode | ( |  | ) |

print begin code for window content section in page body (if appropriate)

Definition at line 103 of file PopupWindow.php.

References PHP.

PopupWindow::PrintEndContentCode | ( |  | ) |

print end code for window content section in page body (if appropriate)

Definition at line 117 of file PopupWindow.php.

References PHP.

PopupWindow::PrintHeaderCode | ( |  | ) |

print header code (if appropriate)

Definition at line 79 of file PopupWindow.php.

References PHP.

PopupWindow::Width | ( |  | $NewWidth | ) |

set width of window (must be called before any code output method)

Definition at line 52 of file PopupWindow.php.

Referenced by PopupWindow().

Here is the caller graph for this function:

PopupWindow::WillDisplay | ( |  | ) |

report whether pop-up window will display if code printing methods are called

Returns
  Returns TRUE if window will display.

Definition at line 68 of file PopupWindow.php.

The documentation for this class was generated from the following file:

- lib/ScoutLib/PopupWindow.php